creadur-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sebb (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (RAT-158) SAXParser warnings
Date Thu, 19 Feb 2015 01:14:12 GMT

    [ https://issues.apache.org/jira/browse/RAT-158?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14326849#comment-14326849
] 

Sebb commented on RAT-158:
--------------------------

bq. Once Dothxia is fixed and maven-site-plugin upgrades, fix in Rat Maven plugin will be
useful

Surely once Doxia is fixed and the site plugin has been upgraded, there is no need to change
RAT at all?

I don't see the point of a fix that does not solve the problem for the main use case, which
is RAT being used as part of a site report.

There might be a case for adding a work-round to RAT if - and only if - this would solve problem
for reports as well as for CLI usage.

But the proper solution is to fix Doxia.

> SAXParser warnings
> ------------------
>
>                 Key: RAT-158
>                 URL: https://issues.apache.org/jira/browse/RAT-158
>             Project: Apache Rat
>          Issue Type: Bug
>    Affects Versions: 0.10
>         Environment: Apache Maven 3.0.4
> Maven home: /usr/share/maven
> Java version: 1.6.0_30, vendor: Sun Microsystems Inc.
> Java home: /usr/lib/jvm/java-6-openjdk-amd64/jre
> Default locale: en_US, platform encoding: UTF-8
> OS name: "linux", version: "3.11.0-17-generic", arch: "amd64", family: "unix"
>            Reporter: John Vines
>            Priority: Minor
>             Fix For: 0.12
>
>         Attachments: RAT-158-2.patch, RAT-158.patch
>
>
> I have rat configured as such
> {code} <plugin>
>          <groupId>org.apache.rat</groupId>
>          <artifactId>apache-rat-plugin</artifactId>
>          <inherited>false</inherited>
>          <executions>
>            <execution>
>              <phase>verify</phase>
>              <goals>
>                <goal>check</goal>
>              </goals>
>            </execution>
>          </executions>
>          <configuration>
>            <excludes>
>              <exclude>**/conf/**</exclude>
>            </excludes>
>          </configuration>
>        </plugin>
> {code}
> And with every build where it triggers, I see 
> {code}
> Warning:  org.apache.xerces.jaxp.SAXParserImpl$JAXPSAXParser: Property 'http://www.oracle.com/xml/jaxp/properties/entityExpansionLimit'
is not recognized.
> Warning:  org.apache.xerces.parsers.SAXParser: Feature 'http://javax.xml.XMLConstants/feature/secure-processing'
is not recognized.
> Warning:  org.apache.xerces.parsers.SAXParser: Property 'http://www.oracle.com/xml/jaxp/properties/entityExpansionLimit'
is not recognized.
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message